| LIRC libraries LinuxInfraredRemoteControl

Public Member Functions | List of all members
lirc.client.RawConnection Class Reference
Python client bindings » Classes to receive keypresses

Interface to receive code strings as described in lircd(8). More...

Inheritance diagram for lirc.client.RawConnection:

## Public Member Functions
def | __init__
def | readline
| Implements AbstractConnection.readline(). More...
def | fileno (self)
| Implements AbstractConnection.fileno(). More...
def | has_data (self)
| Implements AbstractConnection.has_data()
def | close (self)
| Implements AbstractConnection.close()
Public Member Functions inherited from lirc.client.AbstractConnection
def | __enter__ (self)
def | __exit__ (self, exc_type, exc, traceback)
def | readline
| Read a buffered line. More...
def | fileno (self)
| Return the file nr used for IO, suitable for select() etc. More...
def | has_data (self)
| Return true if next readline(None) won't block . More...
def | close (self)
| Close/release all resources.

## Detailed Description

Interface to receive code strings as described in lircd(8).

Parameters
  - socket_path: lircd output socket path, see get_default_socket_path() for defaults.
  - prog: Program name used in lircrc decoding, see ircat(1). Could be omitted if only raw keypresses should be read.

Definition at line 207 of file client.py.

## Member Function Documentation

## § fileno()

def lirc.client.RawConnection.fileno | ( |  | self,
|  |  | int
| ) |  |

Implements AbstractConnection.fileno().

Definition at line 240 of file client.py.

## § readline()

def lirc.client.RawConnection.readline | ( |  | self,
|  |  | timeout
| ) |  |

Implements AbstractConnection.readline().

Definition at line 223 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)